<template>
  <q-page class="q-pa-md">

    <h1>Reset</h1>

    <q-btn
      v-for="community in communities"
      @click="reset(community.id)"
      :label="community.label"
      :key="community.id"
      color="red-5"
      style="height: 50px;"
      class="full-width q-mb-lg"
    />

  </q-page>
</template>

<script>
import { defineComponent, ref as refVue } from "vue";
import {
  getDatabase,
  ref,
  set,
  get,
  onValue,
  orderByKey,
  orderByValue,
} from "firebase/database";
import dataStructure from '../../config/structure.json';

export default defineComponent({
  name: "PageReset",
  setup() {

    let communities = refVue([]);

    dataStructure['communities'].forEach((community, index) => {
      communities.value.push({
        id: index,
        label: community.label
      });
    });

    return {
      communities,
    };
  },
  mounted() {},
  methods: {
    reset(communityId) {

      var r = confirm("Bist du sicher?!");
      if (r !== true) return;
      
      const communityDataStructure = dataStructure['communities'][communityId];

      const db = getDatabase();
      const communityPath = 'communities/' + communityDataStructure.id;
      set(ref(db, communityPath), communityDataStructure);
    },
  },
});
</script>
